import pandas as pd

data_file_path = 'path to input data'


def load_metadata():
    # load responses
    path_meta_file_real = data_file_path + 'yt_meta.json'
    yt_df_meta = pd.read_json(path_or_buf=path_meta_file_real)

    ##### Drop the videos that will not be used during the training
    drop_videos = ['', '']
    for vid in drop_videos:
        print(vid)
        yt_df_meta.drop(yt_df_meta.index[yt_df_meta['_id'] == vid], inplace=True)

    for index, row in yt_df_meta.iterrows():
        # Print comments of First video
        print(row['video_comments'])
        for com in row['video_comments']:
            print(com)
        break


    # load verification-related keywords
    # load train indices
    path_ver_keywords = data_file_path + 'verification-keywords'
    with open(path_ver_keywords) as f:
        verification_list = f.read().split(',')
    #verification_list = open(path_ver_keywords, "r")

    for keyword in verification_list:
        print(keyword.encode('ascii'))



if __name__ == "__main__":
    # load the metadata responses of the training and testing set (video title, desciption, channel created time etc.)
    load_metadata()

